Update an existing numbering provider
Modify an existing numbering provider configuration, set default, or disable it – Reseller/Partner only.
OpenAPI
````yaml put /api/v2/numberingProvider
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/numberingProvider:
put:
tags:
- Phone Numbers
summary: Update an existing numbering provider
description: >-
Modify an existing numbering provider configuration, set default, or
disable it – Reseller/Partner only.
parameters:
- name: targetOrganizationId
in: query
description: Target Organization Id to update settings for
required: true
example: XXXXXXX
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- providerId
properties:
providerId:
type: string
example: Twilio
default:
type: boolean
example: true
enabled:
type: boolean
example: false
config:
type: object
additionalProperties:
type: string
example:
accountSid: ACxxxx
authToken: tokenxxxx
responses:
'200':
description: Numbering provider updated
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Numbering provider updated
'400':
description: Validation error
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: Only one numbering provider can be set as default
'404':
description: Specified provider not found
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: Numbering provider not found
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
